LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07020Development [All Projects] Response browsingpublic2012-12-05 11:282014-01-30 16:13
Reporteradrith 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version2.00 
Summary07020: "Show question index / allow jumping" with "Allow editing responses after completion" are incomplete
DescriptionWhen I active this option "Show question index / allow jumping", there is only the first question group in the index. I can't see the others groups and the button "send" on the right of the screen (in the index).
Steps To ReproduceSorry I don't have an export of survey.
Just put YES to the option "Show question index / allow jumping", you need to have at least 2 question groups, and when you go the servey, the question index is incomplete (only the first group is shown) and you can't jump to another group.
TagsNo tags attached.
Attached Filespng file icon Capture d’écran 2012-12-05 à 11.11.14.png [^] (30,663 bytes) 2012-12-05 11:28

- Relationships
related to 08634closedmdekker Bug reports Resuming a saved survey goes to wrong page 

-  Notes
User avatar (22895)
DenisChenu (developer)
2012-12-05 11:41

It's for "Allow editing responses after completion?" with token enabled survey and a token already used.

Yes ?
User avatar (22896)
adrith (reporter)
2012-12-05 11:56

Yes exactly, to edit responses after completion. And jump to the 8th questions for example.
User avatar (22904)
DenisChenu (developer)
2012-12-05 14:13

Changed the title of the bug
User avatar (22955)
TMSWhite (reporter)
2012-12-06 04:00

To clarify, the index only shows the groups/questions you have already seen, so you should not be able to jump ahead.

Are you saying that the full index is not shown at the beginning, or that upon resume, the index does not show all of the questions that had been seen?
User avatar (22959)
DenisChenu (developer)
2012-12-06 09:01

Thomas: it's for already using token, with "Allow editing responses after completion?".

The user seen whole question (except the condition hidden question) before, but not in actual session.

Think with (alloweditaftercompletion=="Y" && {{surveys}}.submitdate NOT NULL) we have to set $_SESSION['survey_'.$surveyid]['maxstep'] to $_SESSION['survey_'.$surveyid]['totalsteps'] somewhere.

Can test some patch, but think there are a lot of crash possibility with that.

Denis
User avatar (23023)
DenisChenu (developer)
2012-12-07 13:10

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10786 [^]
User avatar (23024)
DenisChenu (developer)
2012-12-07 13:12

Fixed in 2.0
Waiting for a working 2.1
User avatar (23215)
DenisChenu (developer)
2012-12-13 13:32

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10911 [^]
User avatar (24862)
DenisChenu (developer)
2013-03-25 22:02

Change "Fixed in version"

- Related Changesets
LimeSurvey: master 96af8729
Timestamp: 2012-12-07 12:08:18
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07020: "Show question index / allow jumping" with "Allow editing responses after completion" are incomplete
Dev: update maxstep to laststep and add a jumpto maxstep is set
Dev: fix issue with survey start over with "Allow editing responses after completion" too
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]
LimeSurvey: 2.1 059d3a6d
Timestamp: 2012-12-13 12:30:27
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07025: "Resume later" in Token/Enable token-based response persistence don't have to show in forms
Fixed issue 07020: "Show question index / allow jumping" with "Allow editing responses after completion" are incomplete
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-05 11:28 adrith New Issue
2012-12-05 11:28 adrith File Added: Capture d’écran 2012-12-05 à 11.11.14.png
2012-12-05 11:41 DenisChenu Note Added: 22895
2012-12-05 11:56 adrith Note Added: 22896
2012-12-05 14:12 DenisChenu Summary Bug in "Show question index / allow jumping" => "Show question index / allow jumping" with "Allow editing responses after completion" are incomplete
2012-12-05 14:13 DenisChenu Note Added: 22904
2012-12-06 04:00 TMSWhite Note Added: 22955
2012-12-06 09:01 DenisChenu Note Added: 22959
2012-12-06 09:44 c_schmitz Assigned To => DenisChenu
2012-12-06 09:44 c_schmitz Status new => assigned
2012-12-07 13:10 DenisChenu Changeset attached => LimeSurvey master 96af8729
2012-12-07 13:10 DenisChenu Note Added: 23023
2012-12-07 13:10 DenisChenu Resolution open => fixed
2012-12-07 13:10 DenisChenu Project Bug reports => Development
2012-12-07 13:11 DenisChenu Severity major => minor
2012-12-07 13:11 DenisChenu Product Version 2.00+ => 2.1
2012-12-07 13:12 DenisChenu Note Added: 23024
2012-12-13 13:32 DenisChenu Changeset attached => LimeSurvey 2.1 059d3a6d
2012-12-13 13:32 DenisChenu Note Added: 23215
2012-12-13 13:38 DenisChenu Status assigned => resolved
2012-12-13 13:38 DenisChenu Fixed in Version => 2.1
2013-03-25 22:02 DenisChenu Status resolved => closed
2013-03-25 22:02 DenisChenu Status closed => feedback
2013-03-25 22:02 DenisChenu Resolution fixed => reopened
2013-03-25 22:02 DenisChenu Fixed in Version 2.1 => 2.00
2013-03-25 22:02 DenisChenu Note Added: 24862
2013-03-25 22:02 DenisChenu Status feedback => closed
2013-03-25 22:02 DenisChenu Resolution reopened => fixed
2014-01-30 16:13 mdekker Relationship added related to 08634


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker